Playermoderation
Search Player Moderations
Returns a list of all player moderations made by you.
This endpoint does not have pagination, and will return all results. Use query parameters to limit your query if needed.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Query Parameters
type?string
Must be one of PlayerModerationType.
Default
"unmute"Value in
"block" | "hideAvatar" | "interactOff" | "interactOn" | "mute" | "muteChat" | "showAvatar" | "unmute" | "unmuteChat"targetUserId?string
Must be valid UserID.
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/auth/user/playermoderations"[
{
"created": "2019-08-24T14:15:22Z",
"id": "pmod_25551a8d-6f5d-430a-88d3-9c0ce08b5244",
"sourceDisplayName": "string",
"sourceUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"targetDisplayName": "string",
"targetUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"type": "unmute"
}
]{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Clear All Player Moderations DELETE
⚠️ **This will delete every single player moderation you've ever made.**
Moderate User POST
Moderate a user, e.g. unmute them or show their avatar. Please see the [Player Moderation docs](https://vrchatapi.github.io/docs/api/#tag--playermoderation) on what playerModerations are, and how they differ from staff moderations.